Export SLD creates file with double-depth <filter> tags

2013-05-10 07:03 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 16692

Description

I exported a categorised SLD. It created double depth filter tags, so:

&lt;ogc:Filter&gt;

            &lt;ogc:Filter&gt;

              &lt;ogc:PropertyIsEqualTo&gt;

                &lt;ogc:PropertyName&gt;RESPONSIBILTY&lt;/ogc:PropertyName&gt;

                &lt;ogc:Literal&gt;Highways Agency (HA)&lt;/ogc:Literal&gt;

              &lt;/ogc:PropertyIsEqualTo&gt;

            &lt;/ogc:Filter&gt;

          &lt;/ogc:Filter&gt;

Attached is the SLD and QML.

History

#1 - 2013-05-10 07:03 AM - Jonathan Moules

Oh yes - Using build 1959182 on Windows 7 64bit

#2 - 2013-05-19 04:17 PM - Giuseppe Sucameli

It was broken in commit commit:837ac4de5c while refactoring OGC filter stuff.

#3 - 2016-01-10 11:26 AM - Sebastian Dietrich

I can not reproduce in master (commit:19a47fec29a35b264e42893e7b56f22a5759ffc5). I applied the attachment:asdf.qml and saved the style as SLD,

everything is fine.

Is this still an issue?

#4 - 2016-01-10 12:22 PM - Nyall Dawson

- Status changed from Open to Feedback

#5 - 2016-04-09 11:52 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
Closing for lack of feedback, please reopen if necessary,

Files

asdf.qml 11.7 KB 2013-05-10 Jonathan Moules

asdf.sld 2.39 KB 2013-05-10 Jonathan Moules
